<?php
/**
 * Event Section
 * 
 * @package Surplus_Education
 */

if( ! surplus_education_is_se_activated() ) return false;

$event_title    = get_theme_mod( 'event_section_title' );
$event_subtitle = get_theme_mod( 'event_section_subtitle' );
$view_all_label = get_theme_mod( 'event_view_all' );
$view_all_url   = get_theme_mod( 'event_view_all_url' );

$args = array(
    'post_type'           => 'st_event',
    'post_status'         => 'publish',
    'posts_per_page'      => 6,
    'ignore_sticky_posts' => true
);

$qry = new WP_Query( $args );

if( ( $event_title || $event_subtitle ) && $qry->have_posts() ){ ?>
	<section id="event_section" class="event-section">
		<div class="container">
			<?php if( $event_title || $event_subtitle ){ 
	        	echo '<div class="section-header">';
	            if( $event_subtitle ) echo '<span class="sub-title">' . esc_html( $event_subtitle ) . '</span>'; 
	            if( $event_title ) echo '<h2 class="section-title">' . esc_html( $event_title ) . '</h2>'; 
	        	echo '</div>';
	        } ?>
			<?php if( $qry->have_posts() ){ ?>
	            <div class="flexbox-wrapper">
	    			<?php 
	                while( $qry->have_posts() ){
	                    $qry->the_post(); ?>
	                    
						<div class="flexbox-block">
							<div class="block-img">
							<?php 
								if( has_post_thumbnail() ){
                                    the_post_thumbnail( 'surplus-education-event', array( 'itemprop' => 'image' ) );
                                }else{
                                    surplus_education_get_fallback_svg( 'surplus-education-event' );
                                }
                            ?>  
							</div>
							<div class="block-content-wrap">
								<h5 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
								<?php 
								$event_setting = get_post_meta( $post->ID, '_Surplus_Essentials_Setting', true );
								?>
								<div class="block-meta">
									<?php if( isset( $event_setting['event']['sdate'] ) && $event_setting['event']['sdate'] ) : ?>
									<span class="posted-on">
										<i class="fas fa-calendar-alt"></i>
										<a href="<?php the_permalink(); ?>" rel="bookmark">
											<time class="entry-date published updated">
												<?php echo esc_html( $event_setting['event']['sdate'] ); ?>
											</time>
										</a>
									</span>
									<?php endif; ?>
								</div>
							</div>
						</div>
						<?php
	                }
	                wp_reset_postdata();
	                ?>
	    		</div> <!-- .flexbox-wrapper -->
	        <?php } ?>

				<?php if( $view_all_label && $view_all_url ){ ?>
	                <div class="button-wrap">
	        			<a href="<?php echo esc_url( $view_all_url ); ?>" class="bttn"><?php echo esc_html( $view_all_label ); ?></a>
	        		</div>
	            <?php } ?>
		</div>
	</section> <!-- .event-section -->
<?php }